%define base_name	kde-styles
%define theme_name	lipstik
%define name		%base_name-%theme_name

Name: %name
Version: 1.1
Release: alt0.M24.1

Packager: Stanislav Yadykin <tosick@altlinux.ru>

Group: Graphical desktop/KDE
Summary: KDE Style
License: GPL
Url: http://www.kde-look.org/content/show.php?content=18223

Source: %theme_name-%version.tar.bz2


# Automatically added by buildreq on Wed Dec 29 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel zlib-devel

%description
Lipstik is a lightweight KDE Style for KDE 3.x

%prep
%setup -q -n %theme_name-%version

subst "s/\.la/.so/g" configure

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"
%configure \
    --disable-debug \
    --disable-rpath \
    --enable-shared \
    --without-arts \
    --enable-final
%make

%install
%makeinstall

%files
%doc AUTHORS ChangeLog README TODO
%dir %_libdir/kde3/
%_libdir/kde3/*%{theme_name}*
%_libdir/kde3/plugins/styles/%{theme_name}*
%_datadir/apps/*/*/*

%changelog
* Wed Dec 29 2004 Mikhael Korneev <voldar@altlinux.ru> 1.1-alt0.M24.1
- Backport to Master 2.4

* Fri Dec 24 2004 Stanislav Yadykin <tosick@altlinux.ru> 1.1-alt1
- 1.1

* Fri Dec 17 2004 Stanislav Yadykin <tosick@altlinux.ru> 1.0-alt1
- version 1.0

* Fri Dec 03 2004 Stanislav Yadykin <tosick@altlinux.ru> 0.91-alt1
- Build for Sisyphus

